%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Probe-Perl
Version:       0.03
Release:       1mamba
Summary:       Probe::Perl - Information about the currently running perl
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/Probe-Perl-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl(Config)
BuildRequires: perl(Module::Build)
BuildRequires: perl-devel
Requires:      perl(Config)
Requires:      perl >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This module provides methods for obtaining information about the currently running perl interpreter. It originally began life as code in the Module::Build project, but has been externalized here for general use.

%prep
%setup -q -n Probe-Perl-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorlib}/*
#%{_mandir}/man3/*.3pm.gz
%doc LICENSE

%changelog
* Sun Aug 11 2013 Automatic Build System <autodist@mambasoft.it> 0.03-1mamba
- automatic update by autodist

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 0.02-1mamba
- automatic version update by autodist

* Fri Feb 18 2011 gil <puntogil@libero.it> 0.01-1mamba
- package created by autospec
